List Deployments
GET
/api/v1/deployments
const url = 'https://aura.strangeworks.com/api/v1/deployments?limit=50&offset=0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://aura.strangeworks.com/api/v1/deployments?limit=50&offset=0' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”limit
Limit
Maximum rows to return.
integer
Maximum rows to return.
offset
Offset
Rows to skip before the returned page.
integer
Rows to skip before the returned page.
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
DeploymentListResponse
object
deployments
required
Deployments
Array<object>
DeploymentResponseobject
created_at
required
Created At
string format: date-time
handle
required
Handle
string
id
required
Id
string
name
required
Name
string
updated_at
required
Updated At
string format: date-time
limit
required
Limit
integer
offset
required
Offset
integer
total
required
Total
integer
Examplegenerated
{ "deployments": [ { "created_at": "2026-04-15T12:00:00Z", "handle": "example", "id": "example", "name": "example", "updated_at": "2026-04-15T12:00:00Z" } ], "limit": 1, "offset": 1, "total": 1}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}